Skip to main content
`Ctrl`+`K`

# FNRationalGetNumerator

Gets the parameters that define the numerator of the rational function.

## Synopsis

    #include "slepcfn.h"
    PetscErrorCode FNRationalGetNumerator(FN fn,PetscInt *np,PetscScalar *pcoeff[]) PeNS

Not Collective

## Input Parameter

- fn - the math function context

## Output Parameters

- np - number of coefficients

- pcoeff - coefficients (array of scalar values, length `np`)

## Notes

The values passed by user with `FNRationalSetNumerator()` are returned (or `NULL` pointers otherwise). The `pcoeff` array should be freed by the user when no longer needed.

## See Also

FN: Mathematical Functions, `FNRATIONAL`, `FNRationalSetNumerator()`

## Level

intermediate

## Location

src/sys/classes/fn/impls/rational/fnrational.c

## Implementations

FNRationalGetNumerator_Rational() in src/sys/classes/fn/impls/rational/fnrational.c

Index of all FN routines Table of Contents for all manual pages Index of all manual pages